MockRandomMergePolicy (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.MockRandomMergePolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class MockRandomMergePolicy

    java.lang.Object
      org.apache.lucene.index.MergePolicy
          org.apache.lucene.index.MockRandomMergePolicy

All Implemented Interfaces:
  Closeable

    public class MockRandomMergePolicy

extends org.apache.lucene.index.MergePolicy

MergePolicy that makes random decisions for testing.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.MergePolicy
`org.apache.lucene.index.MergePolicy.MergeAbortedException, org.apache.lucene.index.MergePolicy.MergeException, org.apache.lucene.index.MergePolicy.MergeSpecification, org.apache.lucene.index.MergePolicy.OneMerge`

Field Summary

Fields inherited from class org.apache.lucene.index.MergePolicy
`writer`

Constructor Summary
`MockRandomMergePolicy(Random random)`

Method Summary
`void` | `close()`
`org.apache.lucene.index.MergePolicy.MergeSpecification` | `findForcedDeletesMerges(org.apache.lucene.index.SegmentInfos segmentInfos)`
`org.apache.lucene.index.MergePolicy.MergeSpecification` | `findForcedMerges(org.apache.lucene.index.SegmentInfos segmentInfos, int maxSegmentCount, Map<org.apache.lucene.index.SegmentInfo,Boolean> segmentsToMerge)`
`org.apache.lucene.index.MergePolicy.MergeSpecification` | `findMerges(org.apache.lucene.index.SegmentInfos segmentInfos)`
`boolean` | `useCompoundFile(org.apache.lucene.index.SegmentInfos infos, org.apache.lucene.index.SegmentInfo mergedInfo)`

Methods inherited from class org.apache.lucene.index.MergePolicy
`setIndexWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockRandomMergePolicy

    public MockRandomMergePolicy(Random random)

Method Detail

### findMerges

    public org.apache.lucene.index.MergePolicy.MergeSpecification findMerges(org.apache.lucene.index.SegmentInfos segmentInfos)

  Specified by:
    `findMerges` in class `org.apache.lucene.index.MergePolicy`

### findForcedMerges

    public org.apache.lucene.index.MergePolicy.MergeSpecification findForcedMerges(org.apache.lucene.index.SegmentInfos segmentInfos,
                                                                                   int maxSegmentCount,
                                                                                   Map<org.apache.lucene.index.SegmentInfo,Boolean> segmentsToMerge)
                                                                            throws org.apache.lucene.index.CorruptIndexException,
                                                                                   IOException

  Specified by:
    `findForcedMerges` in class `org.apache.lucene.index.MergePolicy`
  Throws:
    `org.apache.lucene.index.CorruptIndexException`
    `IOException`

### findForcedDeletesMerges

    public org.apache.lucene.index.MergePolicy.MergeSpecification findForcedDeletesMerges(org.apache.lucene.index.SegmentInfos segmentInfos)
                                                                                   throws org.apache.lucene.index.CorruptIndexException,
                                                                                          IOException

  Specified by:
    `findForcedDeletesMerges` in class `org.apache.lucene.index.MergePolicy`
  Throws:
    `org.apache.lucene.index.CorruptIndexException`
    `IOException`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `org.apache.lucene.index.MergePolicy`

### useCompoundFile

    public boolean useCompoundFile(org.apache.lucene.index.SegmentInfos infos,
                                   org.apache.lucene.index.SegmentInfo mergedInfo)
                            throws IOException

  Specified by:
    `useCompoundFile` in class `org.apache.lucene.index.MergePolicy`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD